Comportements de pkgi2 sur Debian Etch

Cette page tente de lister ce qui se passe (en bien et en mal) lorsque l'on utilise pkgi2 sur une Debian Etch. Si des solutions simples pour rendre les choses compatibles sont trouvées, elles seront également explicitées sur cette page.

Modules incompatibles entre pkgi2 et Debian Etch

Il ne semble pas y avoir d'incompatibilités majeures avec Etch.

  • mysql : ce module ne fonctionne pas sur Etch entre les versions 2.0 et 2.3 inclues. Il fonctionne correctement dans la dernière version de pkgi.
  • tomcat : ce module utilise le programme jsvc pour démarrer, il est nécessaire de l'installer si on souhaite utiliser le module sur debian Etch.
    sudo apt-get install jsvc

Modules compatibles entre pkgi2 et Debian Etch

Afin de tester la compatibilité, le code des templates a été passé en revue pour mettre en évidence des incompatibilités visibles côté configuration. Ensuite le module est installé, et finalement testé.

  • core : il fonctionne sur Etch (évidemment)
  • mysql : ce module fonctionne sur Etch depuis la version 2.4 de pkgi.
    Remarque : le message suivant peut-être ignoré lorsque l'on démarre le démon
    etc/mysql/debian-start: line 26: check_root_accounts: command not found
  • php : il fonctionne sur Etch (PEAR également)
  • phpmyadmin : il fonctionne sur Etch
  • apache : il fonctionne sur Etch
  • cron : il fonctionne sur Etch
  • logrotate : il fonctionne sur Etch
  • ldap : il fonctionne sur Etch
  • tomcat : il fonctionne sur Etch à la condition que le package jsvc soit installé sur la machine
    apt-get install jsvc
  • tmpreaper : il fonctionne sur Etch

NB : le passage de pkgi1 à pkgi2 doit se faire avec précaution concernant les chemins des fichiers ! Consultez le document de migration pour connaître les nouveaux emplacements.

 
changelog/comportements-2.x-sur-debian-etch.txt · Dernière modification: 2010/08/10 15:08 par kerphi
Recent changes RSS feed Powered by PHP Hosted on Debian Driven by DokuWiki Deployed by Pkgi